summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohannes Huber <johu@gentoo.org>2018-03-22 20:41:07 +0100
committerJohannes Huber <johu@gentoo.org>2018-03-22 20:56:21 +0100
commitf6c2aec1bd0155eaffe2c2756109f8884fc8d893 (patch)
tree0944999ad932b6aedb8bdbcaf73b34575a4bdea6 /net-irc/quassel
parentnet-irc/quassel: Update icon cache (diff)
downloadgentoo-f6c2aec1bd0155eaffe2c2756109f8884fc8d893.tar.gz
gentoo-f6c2aec1bd0155eaffe2c2756109f8884fc8d893.tar.bz2
gentoo-f6c2aec1bd0155eaffe2c2756109f8884fc8d893.zip
net-irc/quassel: Fix automagic dep on qtdbus
Closes: https://bugs.gentoo.org/644810 Reported-by: Diogo Pereira <sir.suriv@gmail.com> Thanks-to: Mike Gilbert <floppym@gentoo.org> Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'net-irc/quassel')
-rw-r--r--net-irc/quassel/quassel-0.12.4-r1.ebuild3
-rw-r--r--net-irc/quassel/quassel-9999.ebuild3
2 files changed, 4 insertions, 2 deletions
diff --git a/net-irc/quassel/quassel-0.12.4-r1.ebuild b/net-irc/quassel/quassel-0.12.4-r1.ebuild
index f8d71149f0de..38cd959578ae 100644
--- a/net-irc/quassel/quassel-0.12.4-r1.ebuild
+++ b/net-irc/quassel/quassel-0.12.4-r1.ebuild
@@ -72,7 +72,7 @@ REQUIRED_USE="
|| ( X server monolithic )
crypt? ( || ( server monolithic ) )
dbus? ( || ( X monolithic ) )
- kde? ( || ( X monolithic ) phonon )
+ kde? ( || ( X monolithic ) dbus phonon )
phonon? ( || ( X monolithic ) )
postgres? ( || ( server monolithic ) )
snorenotify? ( || ( X monolithic ) )
@@ -97,6 +97,7 @@ src_configure() {
-DCMAKE_SKIP_RPATH=ON
$(cmake-utils_use_find_package crypt QCA2-QT5)
$(cmake-utils_use_find_package dbus dbusmenu-qt5)
+ $(cmake-utils_use_find_package dbus Qt5DBus)
-DWITH_KDE=$(usex kde)
-DWITH_OXYGEN=$(usex !kde)
-DWANT_MONO=$(usex monolithic)
diff --git a/net-irc/quassel/quassel-9999.ebuild b/net-irc/quassel/quassel-9999.ebuild
index 1a7e98d09920..81455e360f88 100644
--- a/net-irc/quassel/quassel-9999.ebuild
+++ b/net-irc/quassel/quassel-9999.ebuild
@@ -74,7 +74,7 @@ DOCS=( AUTHORS ChangeLog README.md )
REQUIRED_USE="
|| ( X server monolithic )
crypt? ( || ( server monolithic ) )
- kde? ( || ( X monolithic ) )
+ kde? ( || ( X monolithic ) dbus )
ldap? ( || ( server monolithic ) )
monolithic? ( || ( breeze oxygen ) )
postgres? ( || ( server monolithic ) )
@@ -105,6 +105,7 @@ src_configure() {
-DCMAKE_SKIP_RPATH=ON
$(cmake-utils_use_find_package crypt QCA2-QT5)
$(cmake-utils_use_find_package dbus dbusmenu-qt5)
+ $(cmake-utils_use_find_package dbus Qt5DBus)
-DWITH_KDE=$(usex kde)
-DWITH_LDAP=$(usex ldap)
-DWANT_MONO=$(usex monolithic)